Debian Debian-France Debian-Facile Debian-fr.org Forum-Debian.fr Debian ? Communautés

Debian-facile

Bienvenue sur Debian-Facile, site d'aide pour les nouveaux utilisateurs de Debian.

Vous n'êtes pas identifié(e).

#1 03-01-2022 18:33:53

fred02840
Membre
Lieu : Aisne
Distrib. : Debian GNU/Linux bookworm/sid
Noyau : Linux 5.19.0-1-amd64
(G)UI : Gnome 43.0
Inscription : 07-02-2018

IRaMuTeQ : installation difficile [RÉSOLU]

Bonjour,
J'ai eu les mêmes problèmes qui furent exposés sur ce même forum, voici quelques temps. À quelques détails près : IRaMuTeQ (voir conseils d'installation) exige des paquets qui ne sont plus disponibles pour la version que j'utilise (Debian 11 GNU/Linux bookworm/sid \n \l. Noyau : 5.15.0-2-amd64). Mais R e RStudio fonctionnent parfaitement.
Quels paquets manquerait-il ?


# apt install python-ooolib python-xlrd python-wxgtk3.0
Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances... Fait
Lecture des informations d'
état... Fait      
Aucune version du paquet python-xlrd n'est disponible, mais il existe dans la base
de données. Cela signifie en général que le paquet est manquant, qu'
il est devenu obsolète
ou qu'il n'est disponible que sur une autre source
Cependant les paquets suivants le remplacent :
  python3-xlrd python-xlrd-docs

Aucune version du paquet python-wxgtk3.0 n'est disponible, mais il existe dans la base
de données. Cela signifie en général que le paquet est manquant, qu'
il est devenu obsolète
ou qu'il n'est disponible que sur une autre source

Aucune version du paquet python-ooolib n'est disponible, mais il existe dans la base
de données. Cela signifie en général que le paquet est manquant, qu'
il est devenu obsolète
ou qu'il n'est disponible que sur une autre source

E: Le paquet « python-ooolib » n'a pas de version susceptible d'être installée
E: Le paquet « python-xlrd » n'a pas de version susceptible d'être installée
E: Le paquet « python-wxgtk3.0 » n'a pas de version susceptible d'être installée



Pour résoudre le problème, j'ai pensé installer : python3-xlrd  python3-ooolib python3-wxgtk4.0. Mais non. En plus, à chaque tentative d'installer IRaMuTeQ, le paquet m'est signalé comme étant cassé et à mettre à la poubelle.

Merci de votre aide !

Dernière modification par fred02840 (03-01-2022 19:59:29)


Lenovo E540 (Intel Core i3) : Debian GNU/Linux bookworm/sid. Gnome 40.4

Très accessoirement : Debian 10 Buster sur un MacBook Pro 6,4 (mi-2010), 15'', mod. A1286 (ah mais...) et une Debian 9 sur une eMachines (Intel Atom N455, 1Go de Ram, et 250 Go. LXDE minimale).

Hors ligne

#2 03-01-2022 19:25:03

cyrille
CA Debian-Facile
Lieu : Nowhere
Distrib. : SID + FreeBSD. Stable sur serveurs.
(G)UI : Xfce/Openbox
Inscription : 21-06-2020
Site Web

Re : IRaMuTeQ : installation difficile [RÉSOLU]

Ces versions ne sont pas présentes dans la SID
Essayer avec

aptitude search python3-ooolib python3-xlrd python3-wxgtk4.0
p   python3-ooolib                                                                                    - Python module for creating OpenDocument documents (sp.sheet/text)                                          
p   python3-wxgtk4.0                                                                                  - interface de Python 3 pour la boite à outils graphiques multiplateforme en C++                            
p   python3-xlrd                                                                                      - extract data from Microsoft Excel spreadsheet files (Python3 version)    



Puis  ensuite des liens symboliques si ça ne suffit pas. -- A tester ---

Ou du pinning de SID > testing si ces paquets y sont disponibles

Dernière modification par cyrille (03-01-2022 19:27:03)


"Ils ne me comprennent point, je ne suis pas la bouche qu’il faut à ces oreilles."

Association Debian-Facile | Les cahiers du débutant | ISO Debian-FacilePage perso. sur #df

Hors ligne

#3 03-01-2022 19:27:39

fred02840
Membre
Lieu : Aisne
Distrib. : Debian GNU/Linux bookworm/sid
Noyau : Linux 5.19.0-1-amd64
(G)UI : Gnome 43.0
Inscription : 07-02-2018

Re : IRaMuTeQ : installation difficile [RÉSOLU]

cyrille a écrit :

Ces versions ne sont pas présentes dans la SID
Essayer avec

aptitude search python3-ooolib python3-xlrd python3-wxgtk4.0
p   python3-ooolib                                                                                    - Python module for creating OpenDocument documents (sp.sheet/text)                                          
p   python3-wxgtk4.0                                                                                  - interface de Python 3 pour la boite à outils graphiques multiplateforme en C++                            
p   python3-xlrd                                                                                      - extract data from Microsoft Excel spreadsheet files (Python3 version)    



Puis  ensuite des liens symboliques si ça ne suffit pas. -- A tester ---



Merci de ta réponse. Oui, en effet, c'est ce que j'ai fait (oublié de le préciser : toutes mes excuses…). Mais sans résultat probant


Lenovo E540 (Intel Core i3) : Debian GNU/Linux bookworm/sid. Gnome 40.4

Très accessoirement : Debian 10 Buster sur un MacBook Pro 6,4 (mi-2010), 15'', mod. A1286 (ah mais...) et une Debian 9 sur une eMachines (Intel Atom N455, 1Go de Ram, et 250 Go. LXDE minimale).

Hors ligne

#4 03-01-2022 19:34:11

cyrille
CA Debian-Facile
Lieu : Nowhere
Distrib. : SID + FreeBSD. Stable sur serveurs.
(G)UI : Xfce/Openbox
Inscription : 21-06-2020
Site Web

Re : IRaMuTeQ : installation difficile [RÉSOLU]

Mais as tu essayé ensuite de faire des liens symboliques depuis les fichiers de ces paquets

Exemple

apt-file list python3-ooolib
python3-ooolib: /usr/lib/python3/dist-packages/ooolib/__init__.py
python3-ooolib: /usr/lib/python3/dist-packages/ooolib/tests/__init__.py
python3-ooolib: /usr/lib/python3/dist-packages/ooolib/tests/test_calc_cell.py
python3-ooolib: /usr/lib/python3/dist-packages/ooolib/tests/utils.py
python3-ooolib: /usr/lib/python3/dist-packages/ooolib_python-0.0.21.egg-info
python3-ooolib: /usr/share/doc/python3-ooolib/README
python3-ooolib: /usr/share/doc/python3-ooolib/changelog.Debian.gz
python3-ooolib: /usr/share/doc/python3-ooolib/changelog.gz
python3-ooolib: /usr/share/doc/python3-ooolib/copyright
python3-ooolib: /usr/share/doc/python3-ooolib/examples/calc-example01.py
python3-ooolib: /usr/share/doc/python3-ooolib/examples/calc-example02.py
python3-ooolib: /usr/share/doc/python3-ooolib/examples/calc-example03.py
python3-ooolib: /usr/share/doc/python3-ooolib/examples/calc-example04.py
python3-ooolib: /usr/share/doc/python3-ooolib/examples/calc-example05.py
python3-ooolib: /usr/share/doc/python3-ooolib/examples/calc-example06.py
python3-ooolib: /usr/share/doc/python3-ooolib/examples/calc-example07.py
python3-ooolib: /usr/share/doc/python3-ooolib/examples/calc-example08.py
python3-ooolib: /usr/share/doc/python3-ooolib/examples/calc-example09.py
python3-ooolib: /usr/share/doc/python3-ooolib/examples/writer-example01.py



liens qui redirigeraient le python3 en python ?

Juste une idée

Dernière modification par cyrille (03-01-2022 19:34:34)


"Ils ne me comprennent point, je ne suis pas la bouche qu’il faut à ces oreilles."

Association Debian-Facile | Les cahiers du débutant | ISO Debian-FacilePage perso. sur #df

Hors ligne

#5 03-01-2022 19:40:46

fred02840
Membre
Lieu : Aisne
Distrib. : Debian GNU/Linux bookworm/sid
Noyau : Linux 5.19.0-1-amd64
(G)UI : Gnome 43.0
Inscription : 07-02-2018

Re : IRaMuTeQ : installation difficile [RÉSOLU]

Non, pas du tout. Entre temps, j'ai trouvé ce qui suit (mais ce n'est pas encore concluant : on verra pourquoi un peu plus loin…) :

root@debian:~# git clone http://www.iramuteq.org/git/iramuteq
Clonage dans 'iramuteq'...
remote: Counting objects: 2739, done.
remote: Compressing objects: 100% (2619/2619), done.
remote: Total 2739 (delta 1806), reused 124 (delta 13)
Réception d'objets: 100% (2739/2739), 18.63 Mio | 1.26 Mio/s, fait.
Résolution des deltas: 100% (1806/1806), fait.
root@debian:~# cd iramuteq
root@debian:~/iramuteq# git checkout 3.0
La branche '
3.0' est paramétrée pour suivre la branche distante '3.0' depuis 'origin'.
Basculement sur la nouvelle branche '
3.0'
root@debian:~/iramuteq# python3 iramuteq.py
2022-01-03 18:10:13,833 - INFO - ERROR : Unable to access the X Display, is $DISPLAY set properly?



Donc iramuteq est maintenant installé. Mais le problème arrive à la fin : pas moyen de lancer le programme (RStudio se lance sans problème). J'ai cru qu'il fallait changer d'environnement de bureau : j'utilise Gnome Wayland. Mais le problème se répète avec X-Org


Lenovo E540 (Intel Core i3) : Debian GNU/Linux bookworm/sid. Gnome 40.4

Très accessoirement : Debian 10 Buster sur un MacBook Pro 6,4 (mi-2010), 15'', mod. A1286 (ah mais...) et une Debian 9 sur une eMachines (Intel Atom N455, 1Go de Ram, et 250 Go. LXDE minimale).

Hors ligne

#6 03-01-2022 19:41:57

cyrille
CA Debian-Facile
Lieu : Nowhere
Distrib. : SID + FreeBSD. Stable sur serveurs.
(G)UI : Xfce/Openbox
Inscription : 21-06-2020
Site Web

Re : IRaMuTeQ : installation difficile [RÉSOLU]

Tu ne peux pas avoir un display correct en root (à moins de l'exporter, mais pas top)
Essaie de le lancer en user

"Ils ne me comprennent point, je ne suis pas la bouche qu’il faut à ces oreilles."

Association Debian-Facile | Les cahiers du débutant | ISO Debian-FacilePage perso. sur #df

Hors ligne

#7 03-01-2022 19:43:42

cyrille
CA Debian-Facile
Lieu : Nowhere
Distrib. : SID + FreeBSD. Stable sur serveurs.
(G)UI : Xfce/Openbox
Inscription : 21-06-2020
Site Web

Re : IRaMuTeQ : installation difficile [RÉSOLU]

D'ailleurs même le clone du git en root, c'est limite wink

"Ils ne me comprennent point, je ne suis pas la bouche qu’il faut à ces oreilles."

Association Debian-Facile | Les cahiers du débutant | ISO Debian-FacilePage perso. sur #df

Hors ligne

#8 03-01-2022 19:44:15

fred02840
Membre
Lieu : Aisne
Distrib. : Debian GNU/Linux bookworm/sid
Noyau : Linux 5.19.0-1-amd64
(G)UI : Gnome 43.0
Inscription : 07-02-2018

Re : IRaMuTeQ : installation difficile [RÉSOLU]

Ah, OK : je l'ignorais. Mais voici ce qui se passe en user :

cd iramuteq  % pour me placer dans le bon répertoire
bash: cd: iramuteq: Aucun fichier ou dossier de ce type
fred@debian:~$ python3 iramuteq.py
python3: can't open file '/home/fred/iramuteq.py': [Errno 2] No such file or directory


Lenovo E540 (Intel Core i3) : Debian GNU/Linux bookworm/sid. Gnome 40.4

Très accessoirement : Debian 10 Buster sur un MacBook Pro 6,4 (mi-2010), 15'', mod. A1286 (ah mais...) et une Debian 9 sur une eMachines (Intel Atom N455, 1Go de Ram, et 250 Go. LXDE minimale).

Hors ligne

#9 03-01-2022 19:46:00

fred02840
Membre
Lieu : Aisne
Distrib. : Debian GNU/Linux bookworm/sid
Noyau : Linux 5.19.0-1-amd64
(G)UI : Gnome 43.0
Inscription : 07-02-2018

Re : IRaMuTeQ : installation difficile [RÉSOLU]

cyrille a écrit :

D'ailleurs même le clone du git en root, c'est limite wink



« Limite » pourquoi ? Tu penses qu'il vaudrait mieux reprendre l'opération d'installation en user ? C'est peut-être pour cela que la commande cd iramuteq n'aboutit à rien…


Lenovo E540 (Intel Core i3) : Debian GNU/Linux bookworm/sid. Gnome 40.4

Très accessoirement : Debian 10 Buster sur un MacBook Pro 6,4 (mi-2010), 15'', mod. A1286 (ah mais...) et une Debian 9 sur une eMachines (Intel Atom N455, 1Go de Ram, et 250 Go. LXDE minimale).

Hors ligne

#10 03-01-2022 19:49:51

cyrille
CA Debian-Facile
Lieu : Nowhere
Distrib. : SID + FreeBSD. Stable sur serveurs.
(G)UI : Xfce/Openbox
Inscription : 21-06-2020
Site Web

Re : IRaMuTeQ : installation difficile [RÉSOLU]

oui on ne travaille pas en root

~/git/iramuteq
$ python3 ./iramuteq.py
  File "/home/ragnarok/git/iramuteq/./iramuteq.py", line 1236
    print 'pas de verif'



Pas mal d'erreur dans le code, mais des parenthèse au print...


"Ils ne me comprennent point, je ne suis pas la bouche qu’il faut à ces oreilles."

Association Debian-Facile | Les cahiers du débutant | ISO Debian-FacilePage perso. sur #df

Hors ligne

#11 03-01-2022 19:51:17

fred02840
Membre
Lieu : Aisne
Distrib. : Debian GNU/Linux bookworm/sid
Noyau : Linux 5.19.0-1-amd64
(G)UI : Gnome 43.0
Inscription : 07-02-2018

Re : IRaMuTeQ : installation difficile [RÉSOLU]

Donc, je réinstalle en user ?

Lenovo E540 (Intel Core i3) : Debian GNU/Linux bookworm/sid. Gnome 40.4

Très accessoirement : Debian 10 Buster sur un MacBook Pro 6,4 (mi-2010), 15'', mod. A1286 (ah mais...) et une Debian 9 sur une eMachines (Intel Atom N455, 1Go de Ram, et 250 Go. LXDE minimale).

Hors ligne

#12 03-01-2022 19:55:06

Debian Alain
Membre
Lieu : Bretagne
Distrib. : sid (unstable) / bullseye (stable)
Noyau : Linux sid 6.0.0-4-amd64
(G)UI : Gnome X.org (X11) / GDM3
Inscription : 11-03-2017
Site Web

Re : IRaMuTeQ : installation difficile [RÉSOLU]

bonsoir , fred02840 .   big_smile  big_smile  big_smile

oui , lance ta commande git en user .

fais le  de préférence dans le dossier  "Téléchargements" .

amicalement ,

alain.

coyotus.png

p.s.: après , IraMuTeQ , connais pas . bonne chance .

Dernière modification par Debian Alain (03-01-2022 19:58:34)

Hors ligne

#13 03-01-2022 19:58:59

fred02840
Membre
Lieu : Aisne
Distrib. : Debian GNU/Linux bookworm/sid
Noyau : Linux 5.19.0-1-amd64
(G)UI : Gnome 43.0
Inscription : 07-02-2018

Re : IRaMuTeQ : installation difficile [RÉSOLU]

Eh bien voilà : c'est ce qu'il fallait faire ! IRaMuTeQ est maintenant lancé.
Merci beaucoup !

Lenovo E540 (Intel Core i3) : Debian GNU/Linux bookworm/sid. Gnome 40.4

Très accessoirement : Debian 10 Buster sur un MacBook Pro 6,4 (mi-2010), 15'', mod. A1286 (ah mais...) et une Debian 9 sur une eMachines (Intel Atom N455, 1Go de Ram, et 250 Go. LXDE minimale).

Hors ligne

#14 03-01-2022 19:59:01

cyrille
CA Debian-Facile
Lieu : Nowhere
Distrib. : SID + FreeBSD. Stable sur serveurs.
(G)UI : Xfce/Openbox
Inscription : 21-06-2020
Site Web

Re : IRaMuTeQ : installation difficile [RÉSOLU]

Plein d'erreurs dans le code, ça va être chaud de vérifier tout cela
pas sûr que ce logiciel soit fait pour cette version de python (erreur / reload dont l'appel a été modifié depuis la version 3.4 de python)

"Ils ne me comprennent point, je ne suis pas la bouche qu’il faut à ces oreilles."

Association Debian-Facile | Les cahiers du débutant | ISO Debian-FacilePage perso. sur #df

Hors ligne

#15 03-01-2022 19:59:24

cyrille
CA Debian-Facile
Lieu : Nowhere
Distrib. : SID + FreeBSD. Stable sur serveurs.
(G)UI : Xfce/Openbox
Inscription : 21-06-2020
Site Web

Re : IRaMuTeQ : installation difficile [RÉSOLU]

Bon dans ce cas nickel wink

"Ils ne me comprennent point, je ne suis pas la bouche qu’il faut à ces oreilles."

Association Debian-Facile | Les cahiers du débutant | ISO Debian-FacilePage perso. sur #df

Hors ligne

#16 03-01-2022 20:00:52

fred02840
Membre
Lieu : Aisne
Distrib. : Debian GNU/Linux bookworm/sid
Noyau : Linux 5.19.0-1-amd64
(G)UI : Gnome 43.0
Inscription : 07-02-2018

Re : IRaMuTeQ : installation difficile [RÉSOLU]

Je verrai à l'usage, mais cela dépasse de très loin mes compétences (vite mises en défaut, comme on l'a constaté…).
Merci encore !

Lenovo E540 (Intel Core i3) : Debian GNU/Linux bookworm/sid. Gnome 40.4

Très accessoirement : Debian 10 Buster sur un MacBook Pro 6,4 (mi-2010), 15'', mod. A1286 (ah mais...) et une Debian 9 sur une eMachines (Intel Atom N455, 1Go de Ram, et 250 Go. LXDE minimale).

Hors ligne

#17 03-01-2022 20:03:50

cyrille
CA Debian-Facile
Lieu : Nowhere
Distrib. : SID + FreeBSD. Stable sur serveurs.
(G)UI : Xfce/Openbox
Inscription : 21-06-2020
Site Web

Re : IRaMuTeQ : installation difficile [RÉSOLU]

Surtout ne plus utiliser le compte root pour cela wink Sinon ça finira par casser suite à une mauvaise manip wink

"Ils ne me comprennent point, je ne suis pas la bouche qu’il faut à ces oreilles."

Association Debian-Facile | Les cahiers du débutant | ISO Debian-FacilePage perso. sur #df

Hors ligne

#18 03-01-2022 20:43:55

fred02840
Membre
Lieu : Aisne
Distrib. : Debian GNU/Linux bookworm/sid
Noyau : Linux 5.19.0-1-amd64
(G)UI : Gnome 43.0
Inscription : 07-02-2018

Re : IRaMuTeQ : installation difficile [RÉSOLU]

Là, je crois que j'ai bien compris : je l’ignorais complètement, mais je n'avais jamais utilisé git.
En tout cas, tout fonctionne parfaitement. J'ai fait un essai, vite fait : ça roule !

Lenovo E540 (Intel Core i3) : Debian GNU/Linux bookworm/sid. Gnome 40.4

Très accessoirement : Debian 10 Buster sur un MacBook Pro 6,4 (mi-2010), 15'', mod. A1286 (ah mais...) et une Debian 9 sur une eMachines (Intel Atom N455, 1Go de Ram, et 250 Go. LXDE minimale).

Hors ligne

Pied de page des forums